#pragma once

#include "PathElement.h"

class Curve : public PathElement
{
public:
	enum class CurveType
	{
		ARC,
		QUADRATIC_BEZIER,
		CUBIC_BEZIER,
		UNKNOWN
	};

	virtual CurveType getCurveType() const = 0;
};