#include "Socket.h"

Socket::Socket()
    : mHandle(-1),
        mPort(8888),
      mMessage()

{

}

Socket::~Socket()
{

}

void Socket::setHandle(SocketHandle handle)
{
    mHandle = handle;
}

Socket::SocketHandle Socket::getHandle() const
{
    return mHandle;
}

std::unique_ptr<Socket> Socket::Create()
{
    return std::make_unique<Socket>();
}

std::string Socket::getMessage() const
{
    return mMessage;
}

void Socket::setMessage(const std::string& message)
{
    mMessage = message;
}

void Socket::setPort(unsigned port)
{
    mPort = port;
}

unsigned Socket::getPort() const
{
    return mPort;
}

std::string Socket::getAddress() const
{
    return mAddress;
}


void Socket::setAddress(const std::string& address)
{
    mAddress = address;
}
